IntegrationsMeta Ads

Status of an asynchronous insights report and, once completed, its rows; call again while completed is false.

POST
/integrations/connections/{connection_id}/providers/metaads/insights/get-report

Status of an asynchronous insights report and, once completed, its rows; call again while completed is false.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/metaads/insights/get-report" \  -H "Content-Type: application/json" \  -d '{    "ad_account_id": "1",    "report_run_id": "1"  }'
{  "report_run_id": "example",  "status": "ACTIVE",  "percent_complete": 0,  "completed": false,  "rows": [],  "next_cursor": "example",  "currency": "example"}